Skip to main content
GET
/
documents
/
{documentId}
Get Document
curl --request GET \
  --url https://api.fortiseval.com/v1/documents/{documentId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "title": "<string>",
  "document_type": "credential_evaluation",
  "document_category": "vital",
  "document_role": "source",
  "file_name": "<string>",
  "file_ext": "<string>",
  "mime_type": "<string>",
  "size": 123,
  "page_count": 123,
  "word_count": 123,
  "character_count": 123,
  "source_language_code": "<string>",
  "source_language": "<string>",
  "metadata": [
    "<unknown>"
  ],
  "analysis_completed_at": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

documentId
string
required

Response

200 - application/json

Document

id
string
required

The unique identifier for the document (e.g. doc_xxxxx).

title
string | null
required

The document title.

document_type
enum<string> | null
required
Available options:
credential_evaluation,
translation,
certified_translation,
diploma,
transcript,
cv,
professional_license,
enrollment_report,
id,
passport,
letter,
recommendation_letter,
expert_opinion_letter,
work_experience_letter,
admission_letter,
portfolio,
research_paper,
certificate,
birth_certificate,
marriage_certificate,
name_change_document,
verification_letter,
thesis,
course_outline,
background_check_report,
medical_certificate,
financial_statement,
military_service_record,
training_certificate,
linkedin_profile,
language_proficiency_certificate,
deans_list_certificate,
grade_report,
academic_award,
patent_document,
membership_document,
other
document_category
enum<string> | null
required
Available options:
vital,
government,
academic,
financial,
marketing,
personal,
professional,
medical,
legal,
technical,
identification,
employment,
immigration,
property,
intellectual_property,
communication,
research,
security,
military,
certification,
transportation,
insurance,
environmental,
entertainment,
cultural,
other
document_role
enum<string> | null
required
Available options:
source,
reference,
translation,
evaluation,
course_evaluation,
expert_letter,
work_product,
other
file_name
string | null
required
file_ext
string | null
required

The file extension (e.g. "pdf").

mime_type
string | null
required

The MIME type (e.g. "application/pdf").

size
integer | null
required

The file size in bytes.

page_count
integer | null
required

The number of pages in the document.

word_count
integer | null
required

The word count of the document.

character_count
integer | null
required

The character count of the document.

source_language_code
string | null
required

The ISO 639-1 language code of the source document.

source_language
string | null
required

The human-readable source language name.

metadata
any[] | null
required

AI-extracted document metadata.

analysis_completed_at
string | null
required
created_at
string
required
updated_at
string
required